<document>
<head>
    <name url="patmyback.html">What Users Are Saying about GroboUtils</name>
    <doc-version>$Date: 2004/03/11 23:34:59 $</doc-version>
</head>
<body>

<section>JUnit Extensions</section>
<P><PRE>
Matt,

I wanted to thank you for helping me several weeks ago when I was trying to
figure out the JUnit tests.  So I wrote an article about GroboUtils for
Java.net - I'm a freelance writer for O'Reilly &amp; Associates.

Your code is great stuff--I hope that you get some good feedback and more
community interest because of this.

Best wishes,
--
N. Alex  Rupp
</PRE></P>

<P><PRE>
Magnificent.

Your mttr works great, and the new docs are fantastic.

I'll spread the word about your code--you could become a JUnit committer
with work like this, you know.  Do you know James Strachan?  I bet he'd like
to know about this : )

Best wishes, Matt.
--Norm Rupp
</PRE></P>

<P><PRE>
Matt,

Thanks for that, I just worked out the naming trick for interface tests
myself, was already to tell you about it, but you've beaten me to it :).
I've got things working now, still scratching the surface, so I might be in
touch again if thats OK. Its a wonderful thing you've done contributing
these tools - I really appreciate it.

All best

Andrew Premdas
</PRE></P>

<P><PRE>
Yeah, the testing part worries me.  Concurrency can be a real bitch.
</PRE></P>


<P><I>From
<a href="http://blogs.codehaus.org/projects/shocks/archives/000516_unit_system_and_integration_testing.html">
Unit, System, and Integration Testing</a> by N. Alex Rupp.</I>
<PRE>
I'm returning to Matt Albrecht's GroboUtils project. Matt's JUnit extensions
show a level of insight into testing that I've not found anywhere else.
</PRE></P>


<P>
It looks like the GroboUtils JUnit extensions have been integrated into
the Shocks testing framework.  Check out <a
href="http://cvs.shocks.codehaus.org/viewcvs.cgi/shocks/src/test/shocks/testutil/?root=codehaus">
the CVS archive</a>.  The article discussing this can be found
<a href="http://lists.codehaus.org/pipermail/shocks-dev/2004q1/000018.html">
here</a>.
</P>



<HR />

<section>Code Coverage</section>

<P><PRE>
Is there any known issues w/ the code coverage tools where the symptom is that
the unit test just freezes up? If I am running w/ coverage on then the engine
tests just freeze after running. This does not happen if I am running w/o
coverage. 

Also, what is the implication of it not finding grobocoverage.properties?
</PRE></P>
<P>
<I>Author's reply: this bug has been fixed in the current release.</I>
</P>

<P><I>From
<a href="http://www.jroller.com/comments/lasse/Weblog/a_code_coverage_story">
A code coverage story</a></I>
<PRE>
First of all, GroboUtils comes in a dozen different downloads--what's up with
that!?! Nowhere I could find a clear statement of which of all the .jar files
are needed for setting up a code coverage report in my Ant script. To be
fair, the same goes with most other code coverage tools. Second, ... Well,
I really don't know what was the actual problem with the unsuccessful
attempts to integrate JCoverage, GroboUtils and Hansel. I just know that it
didn't work and the documentation wasn't helping. I managed to generate a lot
of data files, the Ant script's output indicated that something was indeed
happening, but finally, no report, nothing. Damn!
</PRE></P>

</body>
</document>
